export const ColorLegend = ({
  colorScale,
  tickSpacing = 20,
  tickSize = 10,
  tickTextOffset = 20,
  onHover,
  hoveredValue,
  fadeOpacity,
  aggData
}) =>
  aggData.map((domainValue, i) => (
    <g
      className="tick"
      transform={`translate(0,${i * tickSpacing})`}
      onMouseEnter={() => {
        onHover(aggData[i]['key']);
      }}
      onMouseOut={() => {
        onHover(null);
      }}
      opacity={hoveredValue && aggData[i]['key'] !== hoveredValue ? fadeOpacity : 1}
    >
      <circle fill={colorScale(aggData[i]['key'])} r={tickSize} />
      <text className = "legendText"
        x={tickTextOffset} dy=".32em">
        {aggData[i]['key'] + " (" + aggData[i]['value'] + ")"}
      </text>
    </g>
  ));
