import { csv, scaleSqrt, scaleOrdinal, max, format, extent, scaleLinear
        ,select, pie, arc, nest, geoAlbers} from 'd3';

const filteredColor = (isFilteredPie, hoveredValue, tooltipIngredient, colorScale) => {
  if((isFilteredPie==true && (hoveredValue == tooltipIngredient || !hoveredValue))
    || isFilteredPie==false)
  {return colorScale.range()[colorScale.domain().indexOf(tooltipIngredient)]}
  else {return "none"};
}

const colors = (colorScale) => {
  return colorScale.range()[colorScale.domain().indexOf(d => d.key)];
}

const label = (hoveredValue, tooltipCount, tooltipIngredient) => {
 if(hoveredValue && tooltipIngredient == hoveredValue){
   return tooltipCount}
  else {return}
};

export const Pies = (
  {statePie,
  tooltipIngredient,
  tooltipCount,
  innerRadius,
  outerRadius,
  pieStrokeWidth,
  xValue,
  yValue,
  colorScale,
  hoveredValue,
  isFilteredPie}) => (
  
<g transform={`translate(${xValue}, ${yValue})`}>
        {statePie.map((d, i) => (
          <g>
          <path
            fill={filteredColor(isFilteredPie, hoveredValue, tooltipIngredient(d), colorScale)}
            stroke="White"
            stroke-width={pieStrokeWidth}
            d={arc()({
              startAngle: d.startAngle,
              endAngle: d.endAngle,
              innerRadius: innerRadius,
              outerRadius: outerRadius,
            })}
          />
        <text className="tooltip"
              dy=".35em"
              textAnchor="middle"
              fill="black">
          {label(hoveredValue, tooltipCount(d), tooltipIngredient(d))}
        </text>
      <title className="tooltip">{tooltipIngredient(d) + " (" + tooltipCount(d) +  ")"}</title>
          </g>
        ))
        };
      </g> 
);
