import { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl = 'https://gist.githubusercontent.com/jgorsett/6492ab1253c04167d1639c4ced71b3bf/raw/7220e9860d9e1ef264f785fa1dfc7dc11bb95841/hotaling_cocktails%2520-%2520Cocktails%2520-%2520Parsed%2520Ingredients.csv'
const row = d => {
  d.Latitude = +d.Latitude;
  d.Longitude = +d.Longitude;
  return d;
};

export const useCities = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    csv(csvUrl, row).then(setData); 
  }, []);

  const filteredData = data ? data.filter(d => 
                                          (d.Location == "New York" 
                                   || d.Location =="San Francisco" 
                                   || d.Location == "Los Angeles"
                                   || d.Location == "Houston"
                                   || d.Location == "Chicago"
                                   || d.Location == "Denver"
                                   || d.Location == "Seattle"
                                   || d.Location == "Miami") && d.MainAlcohol != "Other" && d.MainAlcohol != "Sake") : data;
  return filteredData;
};
